Subject: Re: bug#14513: 24.3.50; Site load-path pieces differ in MSYS build

From: Richard Copley <[email-masked]>
Date: Sat, 1 Jun 2013 17:04:11 +0100

On 31 May 2013 13:55, Richard Copley <[email-masked]> wrote:
> On 31 May 2013 12:35, Eli Zaretskii <[email-masked]> wrote:
> > > Date: Fri, 31 May 2013 10:52:11 +0100
> > > From: Richard Copley <[email-masked]>
> > > Cc: Stefan Monnier <[email-masked]>, [email-masked]
> > >
> > > > > We should advertise it (I presume you mean the use
> > > > > of --enable-locallisppath=PATH) at least as loudly as the "default
> > > > > $prefix is probably not good for you".
> > > >
> > > >
> > > Just a reminder that --enable-locallisppath=PATH seems not to work
> > > (I mentioned that in my original post).
> > Patches are welcome to support it.  You need to add something to
> > editing of epaths.nt in the epaths-force-w32 rule.
> I will have a go.

See attached. Here is a brief description:

Support the --enable-locallisppath argument on Windows, by making use
of the value of ${locallisppath} supplied by `configure'.
Also correct the description of ${locallisppath} in epaths.in and epaths.nt.

I don't know about Changelogs and stuff. Is there any chance
I can leave all that up to the real developers please?

Tested with kit as in INSTALL.MSYS, including Make 3.82.90,
and gives the expected results in epaths.h:

msysconfig.sh
=> #define PATH_SITELOADSEARCH
"%emacs_dir%/share/emacs/24.3.50/site-lisp;%emacs_dir%/share/emacs/site-lisp"

msysconfig.sh "--prefix=/c/Program Files (x86)/GNU Emacs/emacs-112416"
=> #define PATH_SITELOADSEARCH
"%emacs_dir%/share/emacs/24.3.50/site-lisp;%emacs_dir%/share/emacs/site-lisp"

msysconfig.sh --locallisppath=%emacs_dir%/../site-lisp
=> #define PATH_SITELOADSEARCH "%emacs_dir%/../site-lisp"